from numpy.random import default_rng
import matplotlib.pyplot as plt

from rwsims.sims import run_ste_sim, run_spectrum_sim
from rwsims.motions import TetrahedralJump


# run_ste_sim('config.json')
# run_spectrum_sim('config.json')

rng = default_rng()

tetra = TetrahedralJump(1, 0, rng)

for _ in range(100):
    tetra.start()
    omegas = tetra.jump(100)

    plt.plot(omegas, '.')
    break

plt.show()
